GNU Radio's SATELLITES Package

gr::satellites::descrambler308_impl Class Reference

`#include <descrambler308_impl.h>`

Inheritance diagram for gr::satellites::descrambler308_impl:
[legend]

## Public Member Functions
| descrambler308_impl ()
| ~descrambler308_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members
Public Types inherited from gr::satellites::descrambler308
typedef boost::shared_ptr< descrambler308 > | sptr
Static Public Member Functions inherited from gr::satellites::descrambler308
static sptr | make ()
| Return a shared_ptr to a new instance of satellites::descrambler308.

## Constructor & Destructor Documentation

## ◆ descrambler308_impl()

gr::satellites::descrambler308_impl::descrambler308_impl | ( |  | ) |

## ◆ ~descrambler308_impl()

gr::satellites::descrambler308_impl::~descrambler308_impl | ( |  | ) |

## Member Function Documentation

## ◆ work()

int gr::satellites::descrambler308_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- descrambler308_impl.h